Package fr.gouv.vitam.worker.core.plugin.ingestcleanup.service

# Class IngestCleanupEligibilityService

java.lang.Object
fr.gouv.vitam.worker.core.plugin.ingestcleanup.service.IngestCleanupEligibilityService

public class IngestCleanupEligibilityService extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IngestCleanupEligibilityService(MetaDataClientFactory metaDataClientFactory, LogbookOperationsClientFactory logbookOperationsClientFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkChildUnitsFromOtherIngests(String ingestOperationId, CleanupReportManager cleanupReportManager)`
  `void`
  `checkObjectAttachmentsToExistingObjectGroups(String ingestOperationId, CleanupReportManager cleanupReportManager)`
  `void`
  `checkObjectGroupUpdatesFromOtherOperations(String ingestOperationId, CleanupReportManager cleanupReportManager)`
  `void`
  `checkUnitUpdatesFromOtherOperations(String ingestOperationId, CleanupReportManager cleanupReportManager)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IngestCleanupEligibilityService

    public IngestCleanupEligibilityService(MetaDataClientFactory metaDataClientFactory, LogbookOperationsClientFactory logbookOperationsClientFactory)

- ## Method Details

  - ### checkChildUnitsFromOtherIngests

    public void checkChildUnitsFromOtherIngests(String ingestOperationId, CleanupReportManager cleanupReportManager) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`

  - ### checkUnitUpdatesFromOtherOperations

    public void checkUnitUpdatesFromOtherOperations(String ingestOperationId, CleanupReportManager cleanupReportManager) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`

  - ### checkObjectGroupUpdatesFromOtherOperations

    public void checkObjectGroupUpdatesFromOtherOperations(String ingestOperationId, CleanupReportManager cleanupReportManager) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`

  - ### checkObjectAttachmentsToExistingObjectGroups

    public void checkObjectAttachmentsToExistingObjectGroups(String ingestOperationId, CleanupReportManager cleanupReportManager) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`